Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/mate-applets: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Tue, 5 May 2015 21:40:10 +0000

---
 testing/mate-applets/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/mate-applets/APKBUILD
diff --git a/testing/mate-applets/APKBUILD b/testing/mate-applets/APKBUILD
new file mode 100644
index 0000000..ec039d3
--- /dev/null
+++ b/testing/mate-applets/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=mate-applets
+pkgver=1.9.90
+pkgrel=0
+pkgdesc="Applets for use with the MATE panel"
+url="https://github.com/mate-desktop/mate-applets"
+arch="all"
+license="GPLv2"
+depends="mate-icon-theme"
+depends_dev=""
+makedepends="$depends_dev intltool gtk+2.0-dev mate-panel-dev libwnck-dev
+	mate-desktop-dev dconf-dev itstool linux-headers"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+options="suid"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+                --build=$CBUILD \
+                --host=$CHOST \
+                --sysconfdir=/etc \
+                --prefix=/usr \
+		--disable-stickynotes || return 1
+
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="4d16fa1f47ca7fdbb3754a3dbce6affb  mate-applets-1.9.90.tar.xz"
+sha256sums="7d89a582cf6212076de336fa80b16db2d99ea4dfdab93a89422f3f9f4d616c60  mate-applets-1.9.90.tar.xz"
+sha512sums="fd63bb260ba3b3704d1989702550f4082669941218b0b3b8ecbc33fe365996c8bd4696872392afda4fb295e126b83cee9dc0f966bb45c640454a03cb2b66eb32  mate-applets-1.9.90.tar.xz"
-- 
2.3.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue May 05 2015 - 21:40:10 GMT